Skip to main content
POST
/
v1
/
tags
/
bulk-create
Bulk create tags
curl --request POST \
  --url https://api.prod.getdex.com/v1/tags/bulk-create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '[
  "<string>"
]'
{
  "error": true,
  "data": {
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "color": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  }
}

Use cases

  • Import tags from another CRM or system
  • Set up a predefined tag taxonomy for a new account
  • Create multiple tags at once during onboarding
Tags with duplicate names will return an error. Ensure all tag names in the request are unique.

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Body

application/json
Minimum array length: 1
Minimum string length: 1

Response

Successful response

error
boolean
required
data
object
required